Bug 204259 - Review Request: geda - Project manager for gEDA
Review Request: geda - Project manager for gEDA
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
: 177414 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-27 17:29 EDT by Chitlesh GOORAH
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 18:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-08-27 17:29:05 EDT
Spec URL: http://chitlesh.googlepages.com/geda.spec
SRPM URL: http://chitlesh.googlepages.com/geda-20060123-3.src.rpm
Description: 
Project manager for gEDA.
Comment 1 Chitlesh GOORAH 2006-08-27 17:30:46 EDT
*** Bug 177414 has been marked as a duplicate of this bug. ***
Comment 2 Mamoru TASAKA 2006-08-28 11:34:35 EDT
Reviewing: This package is almost okay.

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :

* BuildRequires:
  pkgconfig can be removed because
     glib2-devel requires pkgconfig and
     gtk2-devel (this is written) requires glib2-devel .

* Summary and description
  (This is a suggestion)
  Could you explain this package (geda) more concretely on Summary ?
  Perhaps you can use the description on http://www.geda.seul.org/ .

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :

- Okay.

3. Other things I have noticed :
   Well, again I don't know how to use this package.

   However, as far as I can tell now, if I type "geda &" a gtk-2
   application window is popped up and it seems okay.

   The requirements of this package makes no difference between
   the one rebuilt with normal rpmbuild and the one rebuilt in mock.

   I would appreciate it if you can attach a simple test case by which 
   I can check if this package work well.
Comment 3 Chitlesh GOORAH 2006-08-28 12:09:42 EDT
Hello Mamoru,

thanks for reviewing my packages.

Geda is a suite of Electronic Design Automation tools. Hence it consists of
several packages which all can be accessible by the Geda package (this package
204259) itself.

I haven't packaged all of them yet, once done, ill file bug for each and set
"related depends on".

This explains why the items on the 'tool' menu are not working.

I'll ping you once ready ok?
Comment 4 Mamoru TASAKA 2006-08-28 13:17:11 EDT
(In reply to comment #3)
> Geda is a suite of Electronic Design Automation tools. Hence it consists of
> several packages which all can be accessible by the Geda package (this package
> 204259) itself.

Well, then this package is something like the "central package" of
Geda related packages, I can think? Then it might be preferable that
the explanation of Geda is included in this package, however, this
is a suggestion and is up to you.
> 
> I haven't packaged all of them yet, once done, ill file bug for each and set
> "related depends onment".
> 
> This explains why the items on the 'tool' menu are not working.
> 
> I'll ping you once ready ok?

Okay. However, it may take time for me to review all your packages
only by myself...

Anyway, the left points for this package is very few as
I mentioned in the comment #2 .
Comment 5 Mamoru TASAKA 2006-08-30 14:37:09 EDT
Well: as I said in the comment #2 :

* pkgconfig for BR is not needed.
* Explain what is geda in this package as this seems to be the central
  package for geda.
* Also, by http://fedoraproject.org/wiki/Packaging/ScriptletSnippets ,
  the requirement of 

  gtk-update-icon-cache
  update-desktop-database

  for Requires(post,postun) should be removed and || : method should be
  used in %post and %postun.

  Re-upload spec and srpm files. Then I will check it.
Comment 6 Chitlesh GOORAH 2006-08-30 14:56:48 EDT
I'll leave this package the last to update since there are more work to be done
on its requires.

Comment 7 Chitlesh GOORAH 2006-09-04 18:00:53 EDT
 The geda (gManager) source tarball is not longer being distributed. All the
code is still in the CVS repository, but due to lack of maintanance, it has been
pulled for these snapshot releases.

http://www.geda.seul.org/devel/20060824/gaf-20060824-relnotes.html

I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.